linux-mips
[Top] [All Lists]

Re: Ah, a problem with rpm!

To: Alex deVries <adevries@engsoc.carleton.ca>, SGI Linux <linux@cthulhu.engr.sgi.com>
Subject: Re: Ah, a problem with rpm!
From: ralf@uni-koblenz.de
Date: Mon, 22 Jun 1998 10:58:24 +0200
In-reply-to: <Pine.LNX.3.95.980621183716.31228B-100000@lager.engsoc.carleton.ca>; from Alex deVries on Sun, Jun 21, 1998 at 06:44:43PM -0400
References: <Pine.LNX.3.95.980621183716.31228B-100000@lager.engsoc.carleton.ca>
Sender: owner-linux@cthulhu.engr.sgi.com
On Sun, Jun 21, 1998 at 06:44:43PM -0400, Alex deVries wrote:

> The solution to this is either to fix the build environment or rpm, and
> then rebuild pretty much all the packages.  *sigh*
> 
> The stuff to look for is:
> 
> ...
> Processing files: hello
> Finding provides...
> Finding requires...
> Prereqs: /bin/sh
> Requires: ld-linux.so.2 libc.so.6
> Wrote: /usr/src/redhat/SRPMS/hello-0.10-2.src.rpm
> Wrote: /usr/src/redhat/RPMS/i386/hello-0.10-2.i386.rpm
> ...
> 
> or similiar.  On my Indy, I _don't_ get the "Requires: " line at all. Do
> other people?

I do get them.  If you don't get them, then probably ldd isn't working
on your machine.  There was a kernel bug causing this and the bugfix is
in the CVS since quite some time.

  Ralf

<Prev in Thread] Current Thread [Next in Thread>